Bug 2038432 - Error when importing content and same package belongs to multiple repositories
Summary: Error when importing content and same package belongs to multiple repositories
Keywords:
Status: RELEASE_PENDING
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.10.1
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: 6.11.0
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-07 21:54 UTC by Joniel Pasqualetto
Modified: 2022-07-05 00:16 UTC (History)
6 users (show)

Fixed In Version: pulpcore-3.16.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2071002 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pulp pulpcore issues 2102 0 None closed Occasional UQ error core_repositoryversion_repository_id_number_3c54ce50_uniq on DistTree PulpImport 2022-02-22 17:03:47 UTC
Red Hat Knowledge Base (Solution) 6786261 0 None None None 2022-03-07 07:43:03 UTC

Description Joniel Pasqualetto 2022-01-07 21:54:20 UTC
Description of problem:
Exported tarball containing multiple repositories, when importing may fail if a package belongs to more than one repository.

Version-Release number of selected component (if applicable):


How reproducible:
All the time at customer's environment

Steps to Reproduce:
1. Sync 2 repositories that may contain the same package. Example:

Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7Server
Red_Hat_Software_Collections_RPMs_for_Red_Hat_Enterprise_Linux_7_Server_x86_64_7Server

2. Export the entire library

3. On another satellite, import the tarball generated by the export on item 2

Actual results:

Import task fails complaining about duplicate entries:


Expected results:

Import would ignore duplicates and finish successfully.

Additional info:

Comment 3 Dennis Kliban 2022-03-30 15:29:34 UTC
This bug was fixed in pulpcore 3.16.5, 3.17.5, and 3.18.0.

Comment 4 Dennis Kliban 2022-03-30 15:31:29 UTC
It's also available as far back as pulpcore 3.14.13 so it should be pulled into Sat 6.10 also.


Note You need to log in before you can comment on or make changes to this bug.